{
    template:'${tmpl}',
    data:function(){
        return {
          multipleSelection: [],
          isSingleSelect:false,
          cc:"ddddfsdfsd",
        }
    },
    mounted:function(){
      /*var msg={
        cls:"testCtl",
        method:"test",
        data:"hello",
      };
      this.socketClient.socketReplyReq(msg,function(rtn){
        console.log("rtn socket**************************************888888...................................................");
        console.log(rtn);
      });*/
    },
    created:function(){

    },
    methods:{
      onColFormater(row,column,cellvalue,index){
        if(column.property=="created_at"){
          if(row["created_at"]){
            return new Date(row["created_at"]).toLocaleString();
          }else{
            return "";
          }
        }
        if(column.property=="completed_at"){
          if(row["completed_at"]){
            return new Date(row["completed_at"]).toLocaleString();
          }else{
            return "";
          }
        }
        if(typeof(cellvalue) == 'number') {
          return cellvalue || 0;
        }
        return cellvalue || "---";
      },
       handleSelectionChange:function(val){
         this.multipleSelection = val;
         console.log(this.cc);
       },
       headerCellStyle:function(){
         return {"background-color":"red"};
       },

    },
    computed:{
      headStyle:function(){
        return {"background-color":"white"};
      }
    },
    vname:"gsb-econtract"
}
